org.gradle.platform.base

## Interface ToolChain

- All Superinterfaces:
    Named
  All Known Subinterfaces:
    Clang, Gcc, GccCompatibleToolChain, JavaToolChain, NativeToolChain, PlayToolChain, ScalaToolChain, VisualCpp

      @Incubating
      public interface ToolChain
      extends Named

  A set of compilers that are used together to construct binaries.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDisplayName()` Returns a human consumable name for this tool chain.

    - ### Methods inherited from interface org.gradle.api.Named

      `getName`

- - ### Method Detail

    - #### getDisplayName

          String getDisplayName()

      Returns a human consumable name for this tool chain.
      Since:
        1.11